LibUtils.OSType
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jcuda
Enum LibUtils.OSType

    java.lang.Object
      java.lang.Enum<LibUtils.OSType>
          jcuda.LibUtils.OSType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LibUtils.OSType>

Enclosing class:
  LibUtils

    public static enum LibUtils.OSType

extends java.lang.Enum<LibUtils.OSType>

Enumeration of common operating systems, independent of version or architecture.

Enum Constant Summary
`APPLE`
`LINUX`
`SUN`
`UNKNOWN`
`WINDOWS`

Method Summary
`static LibUtils.OSType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LibUtils.OSType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### APPLE

    public static final LibUtils.OSType APPLE

### LINUX

    public static final LibUtils.OSType LINUX

### SUN

    public static final LibUtils.OSType SUN

### WINDOWS

    public static final LibUtils.OSType WINDOWS

### UNKNOWN

    public static final LibUtils.OSType UNKNOWN

Method Detail

### values

    public static LibUtils.OSType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LibUtils.OSType c : LibUtils.OSType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LibUtils.OSType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD